geometric.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | cross (vec< 3, T, Q > const &x, vec< 3, T, Q > const &y)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | distance (vec< L, T, Q > const &p0, vec< L, T, Q > const &p1)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | dot (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | faceforward (vec< L, T, Q > const &N, vec< L, T, Q > const &I, vec< L, T, Q > const &Nref)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | length (vec< L, T, Q > const &x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | normalize (vec< L, T, Q > const &x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | reflect (vec< L, T, Q > const &I, vec< L, T, Q > const &N)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | refract (vec< L, T, Q > const &I, vec< L, T, Q > const &N, T eta)

## Detailed Description

Core features

See also
  GLSL 4.20.8 specification, section 8.5 Geometric Functions

Definition in file geometric.hpp.